APIMCPs
Request an MCP
Request an MCP that is not installed yet.
POST
Request an MCP that is not installed yet.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
manage_connectionsapplication/json- body
Body for requesting an MCP; tagged by kind.
kind*"catalog"Value in
"catalog"catalog_slug*stringThe request has succeeded and a new resource has been created as a result.
application/json- response
id*uuidFormat
uuidkind*stringtarget*stringdisplay_name*stringrequester*created_at*stringFormat
date-timecurl -X POST "https://example.com/mcps/requests" \ -H "Content-Type: application/json" \ -d '{ "kind": "catalog", "catalog_slug": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "target": "string", "display_name": "string", "requester": { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "display_name": "string", "email": "string" }, "created_at": "2019-08-24T14:15:22Z"}